@testset "model" begin
    N = 10
    sm = SellmeierModel(rand(N), rand(N))

    @test length(sm) == N
    @test sm(0.0) == 1.0
    @test sm(Inf) == 1.0 + sum(sm.str)

    sm = SellmeierModel(4.0)

    @test length(sm) == 1
    @test sm(eps()) == 4.0
    @test sm(Inf) == 4.0
    @test sm(10rand()) == 4.0
end  # @testset "model"
